%define major		0
%define gmajor		2.0
%define libname		%mklibname atspi %{major}
%define girname		%mklibname atspi-gir %{gmajor}
%define libnamedev	%mklibname -d atspi

%define url_ver	%(echo %{version}|cut -d. -f1,2)

%global dont_check_desktop_files	1

Name:		at-spi2-core
Version:	2.34.0
Release:	%mkrel 1
Summary:	Protocol definitions and daemon for D-Bus at-spi
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	90qt-a11y
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xevie)
BuildRequires:	pkgconfig(xkbcommon-x11)
BuildRequires:	intltool
BuildRequires:	gobject-introspection-devel
BuildRequires:	meson
BuildRequires:	gtk-doc
Requires:	dbus

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Requires:	%name = %version

%description -n %{libname}
This package contains libraries used by %{name}.

%package -n %{libnamedev}
Summary:	Libraries and include files with %{name}
Group:		Development/Libraries
Requires:	%name = %{version}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with %{name}.

%package -n %{name}-qt
Summary:	To enable qt accessibility
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}
Requires:	qt4-accessibility-plugin

%description -n %{name}-qt
This package enables qt accessibility when gsettings has accessibility enabled.

%prep
%setup -q

%build
%meson -Ddocs=false -Dintrospection=yes -Dx11=yes
%meson_build

%install
%meson_install

%find_lang %{name}

mkdir -p %{buildroot}/etc/X11/xinit.d
cp %{SOURCE1} %{buildroot}/etc/X11/xinit.d/

mkdir -p %{buildroot}/%{_datadir}/dbus-1/services
mv %{buildroot}/usr/lib/systemd/user/at-spi-dbus-bus.service \
%{buildroot}/%{_datadir}/dbus-1/services/at-spi-dbus-bus.service

rm -f %{buildroot}/%{_sysconfdir}/xdg/autostart/at-spi-dbus-bus.desktop

%files -f %{name}.lang
%{_libexecdir}/at-spi2-registryd
%{_libexecdir}/at-spi-bus-launcher
%{_datadir}/dbus-1/services/org.*.service
%{_datadir}/dbus-1/accessibility-services/org.*.service
%{_datadir}/defaults/at-spi2/accessibility.conf
%{_datadir}/dbus-1/services/at-spi-dbus-bus.service

%files -n %{libname}
%{_libdir}/*.so.%{major}*
%{_libdir}/girepository-1.0/Atspi-%{gmajor}.typelib

%files -n %{libnamedev}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gir-1.0/Atspi-%{gmajor}.gir

%files -n %{name}-qt
%{_sysconfdir}/X11/xinit.d/90qt-a11y


%changelog
* Mon Sep 09 2019 tex - 2.34.0-1pclos2019
- new version 2.34.0
